/* Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file  ap_config_layout.h
 * @brief Apache Config Layout
 */

#ifndef AP_CONFIG_LAYOUT_H
#define AP_CONFIG_LAYOUT_H

/* Configured Apache directory layout */
#define DEFAULT_PREFIX "/home/medsrv/component/apache"
#define DEFAULT_EXP_EXEC_PREFIX "/home/medsrv/component/apache"
#define DEFAULT_REL_EXEC_PREFIX ""
#define DEFAULT_EXP_BINDIR "/home/medsrv/component/apache/bin"
#define DEFAULT_REL_BINDIR "bin"
#define DEFAULT_EXP_SBINDIR "/home/medsrv/component/apache/bin"
#define DEFAULT_REL_SBINDIR "bin"
#define DEFAULT_EXP_LIBEXECDIR "/home/medsrv/component/apache/libexec"
#define DEFAULT_REL_LIBEXECDIR "libexec"
#define DEFAULT_EXP_MANDIR "/home/medsrv/component/apache/man"
#define DEFAULT_REL_MANDIR "man"
#define DEFAULT_EXP_SYSCONFDIR "/home/medsrv/var/apache/conf"
#define DEFAULT_REL_SYSCONFDIR "/home/medsrv/var/apache/conf"
#define DEFAULT_EXP_DATADIR "/home/medsrv/component/apache"
#define DEFAULT_REL_DATADIR ""
#define DEFAULT_EXP_INSTALLBUILDDIR "/home/medsrv/component/apache/build"
#define DEFAULT_REL_INSTALLBUILDDIR "build"
#define DEFAULT_EXP_ERRORDIR "/home/medsrv/component/apache/error"
#define DEFAULT_REL_ERRORDIR "error"
#define DEFAULT_EXP_ICONSDIR "/home/medsrv/component/apache/icons"
#define DEFAULT_REL_ICONSDIR "icons"
#define DEFAULT_EXP_HTDOCSDIR "/home/medsrv/component/apache/htdocs"
#define DEFAULT_REL_HTDOCSDIR "htdocs"
#define DEFAULT_EXP_MANUALDIR "/home/medsrv/component/apache/manual"
#define DEFAULT_REL_MANUALDIR "manual"
#define DEFAULT_EXP_CGIDIR "/home/medsrv/component/apache/cgi-bin"
#define DEFAULT_REL_CGIDIR "cgi-bin"
#define DEFAULT_EXP_INCLUDEDIR "/home/medsrv/component/apache/include"
#define DEFAULT_REL_INCLUDEDIR "include"
#define DEFAULT_EXP_LOCALSTATEDIR "/home/medsrv/var/apache"
#define DEFAULT_REL_LOCALSTATEDIR "/home/medsrv/var/apache"
#define DEFAULT_EXP_RUNTIMEDIR "/home/medsrv/var/apache/logs"
#define DEFAULT_REL_RUNTIMEDIR "/home/medsrv/var/apache/logs"
#define DEFAULT_EXP_LOGFILEDIR "/home/medsrv/var/apache/logs"
#define DEFAULT_REL_LOGFILEDIR "/home/medsrv/var/apache/logs"
#define DEFAULT_EXP_PROXYCACHEDIR "/home/medsrv/var/apache/proxy"
#define DEFAULT_REL_PROXYCACHEDIR "/home/medsrv/var/apache/proxy"

#endif /* AP_CONFIG_LAYOUT_H */
